Index: /extensions/gally/gally-default/admin/Conf.class.inc.php
===================================================================
--- /extensions/gally/gally-default/admin/Conf.class.inc.php	(revision 16015)
+++ /extensions/gally/gally-default/admin/Conf.class.inc.php	(revision 16016)
@@ -175,5 +175,13 @@
       "menuMSIEMaxWidth" => '',
       "imageSimulateHighRes" => '',
-      "imageScrollMinDeadArea" => ''
+      "imageScrollMinDeadArea" => '',
+      "manageTips" => '',
+      "manageTipsPos" => '',
+      "tipsSize" => '',
+      "randomPositionBoxX" => '',
+      "randomPositionBoxY" => '',
+      "metaNumCols" => '',
+      "interfaceTimerDelay" => '',
+      "imageAutoScroll" => ''
       //"expandMenu" => '',
     );
Index: /extensions/gally/gally-default/admin/GallyDefault.class.inc.php
===================================================================
--- /extensions/gally/gally-default/admin/GallyDefault.class.inc.php	(revision 16015)
+++ /extensions/gally/gally-default/admin/GallyDefault.class.inc.php	(revision 16016)
@@ -20,5 +20,5 @@
 class GallyDefault
 {
-  const THEME_VERSION = '1.4.1';
+  const THEME_VERSION = '1.5.0';
 
   private $directories=Array(
Index: /extensions/gally/gally-default/admin/gally_img_high_res.tpl
===================================================================
--- /extensions/gally/gally-default/admin/gally_img_high_res.tpl	(revision 16015)
+++ /extensions/gally/gally-default/admin/gally_img_high_res.tpl	(revision 16016)
@@ -2,13 +2,4 @@
 <br>
 <form method="post" action="" class="general">
-
-  <fieldset>
-    <legend>{'gally_display_high_res_icon'|@translate}</legend>
-
-    <p class="leftAlign">{'gally_display_high_res_icon_desc'|@translate}</p>
-
-    <label><input type="radio" name="f_displayHighResIcon" id="idisplayHighResIcon" value="yes" {if $options.displayHighResIcon=="yes"}checked{/if}>&nbsp;{'gally_displayHighResIcon_yes'|@translate}</label><br>
-    <label><input type="radio" name="f_displayHighResIcon" id="idisplayHighResIcon" value="no" {if $options.displayHighResIcon=="no"}checked{/if}>&nbsp;{'gally_displayHighResIcon_no'|@translate}</label>
-  </fieldset>
 
   <fieldset>
Index: /extensions/gally/gally-default/conf/default.conf
===================================================================
--- /extensions/gally/gally-default/conf/default.conf	(revision 16015)
+++ /extensions/gally/gally-default/conf/default.conf	(revision 16016)
@@ -190,10 +190,4 @@
 
 # -- 1.3.0 --
-# the 'displayHighResIcon' option can take theses values :
-#   "yes" => display an icon 'view full res' in the toolbar
-#   "no"  => don't display an icon 'view full res' in the toolbar
-displayHighResIcon="yes"
-
-# -- 1.3.0 --
 # the 'highResClickMode' option can take theses values :
 #   "close" => click on the high res picture close the high res picture
@@ -216,4 +210,9 @@
 manageTipsPos="tipOnBottom"
 
+# -- 1.5.0 --
+# the 'tipsSize' option can take any positive integer values.
+# This option define the size (Width&Height) of an arrow
+tipsSize=12
+
 # ------- Menu parameters ------------------------------------------------------
 
Index: /extensions/gally/gally-default/js/gallyjs-tcp.js
===================================================================
--- /extensions/gally/gally-default/js/gallyjs-tcp.js	(revision 16015)
+++ /extensions/gally/gally-default/js/gallyjs-tcp.js	(revision 16016)
@@ -136,4 +136,44 @@
       $("#additional_infoTOP").css("visibility", "visible");
     }
+
+    $("#icon_derivatives").click(function()
+      {
+        var elt = $("#derivativeSwitchBox");
+        elt.css("left", 0);
+
+        $("#sortOrderBox").hide();
+        elt.css("left", Math.min( $(this).position().left + $('#tabRandomButtons').outerWidth(true) - 5, $('#the_page').width() - elt.outerWidth(true) - 5))
+          .css("top", $(this).position().top)
+          .toggle();
+          $('#iSimpleTip').css('display', 'none'); // if tip activated, hide it..
+      }
+    );
+    $("#derivativeSwitchBox").on("mouseleave click", function()
+      {
+        $(this).hide();
+      }
+    );
+
+    $("#icon_sort").click(function()
+      {
+        var elt = $("#sortOrderBox");
+        elt.css("left", 0);
+
+        $("#derivativeSwitchBox").hide();
+        elt.css("left", Math.min( $(this).position().left + $('#tabRandomButtons').outerWidth(true) - 5, $('#the_page').width() - elt.outerWidth(true) - 5))
+          .css("top", $(this).position().top)
+          .toggle();
+          $('#iSimpleTip').css('display', 'none'); // if tip activated, hide it..
+      }
+    );
+    $("#sortOrderBox").on("mouseleave click", function()
+      {
+        $(this).hide();
+      }
+    );
+
+    liWidth=$('ul.thumbnails li').outerWidth();
+    thumbListWidth=$('#thumbnails').width();
+    $('div ul.thumbnails').css('padding-left', (thumbListWidth-liWidth*Math.floor(thumbListWidth/liWidth))/2-1);
   },
 
Index: /extensions/gally/gally-default/js/gallyjs-tpp.js
===================================================================
--- /extensions/gally/gally-default/js/gallyjs-tpp.js	(revision 16015)
+++ /extensions/gally/gally-default/js/gallyjs-tpp.js	(revision 16016)
@@ -44,4 +44,5 @@
       },
       container=null,
+      initialThumbPos=null,
 
   /**
@@ -109,10 +110,4 @@
                         .bind("mousemove", function () { switchInterface('y', true); } );
     }
-
-
-    $("#navThumbPrev").css("top", $("#navThumbPrev").prop("offsetTop")+$("#theHeader").prop("offsetHeight")+$("#theHeaderAlt").prop("offsetHeight")+"px");
-    $("#navThumbNext").css("top", $("#navThumbNext").prop("offsetTop")+$("#theHeader").prop("offsetHeight")+$("#theHeaderAlt").prop("offsetHeight")+"px");
-
-    $("#theImage").css("top", $("#theImage").prop("offsetTop")+$("#theHeader").prop("offsetHeight")+$("#theHeaderAlt").prop("offsetHeight")+"px");
 
     $("#contentid").attr("rows", options.commentRows);
@@ -166,4 +161,31 @@
     );
 
+    $("#icon_derivatives").click(function()
+      {
+        var elt = $("#derivativeSwitchBox");
+
+        elt.css("left", Math.min( $(this).position().left + $('#tabRandomButtons').outerWidth(true), $(window).width() - elt.outerWidth(true) - 5))
+          .css("top", $(this).position().top)
+          .toggle();
+          $('#iSimpleTip').css('display', 'none'); // if tip activated, hide it..
+      }
+    );
+    $("#derivativeSwitchBox, #privacyLevelBox").on("mouseleave click", function()
+      {
+        $(this).hide();
+      }
+    );
+
+    $('#iPrivacyLevelLink').click(function ()
+      {
+        var elt = $("#privacyLevelBox"),
+            ePos = $("#privacyLevelLink");
+
+        elt.css("left", $(this).position().left)
+           .css("top", $(this).position().top)
+           .toggle();
+      }
+    );
+
     $(window).resize( function () { initializeImageMode("resize"); } );
 
@@ -192,4 +214,5 @@
     var thumbWidth=0,
         imgTop=0,
+        imgPos='',
         cssValues = new Object;
 
@@ -272,9 +295,13 @@
       if($("#navThumbPrev").length>0)
       {
-        $("#navThumbPrev").css("height", $("#copyright").prop("offsetTop")-$("#navThumbPrev").prop("offsetTop")-options.tabsHidden+"px");
-      }
-      if($("#navThumbNext").length>0)
-      {
-        $("#navThumbNext").css("height", $("#copyright").prop("offsetTop")-$("#navThumbNext").prop("offsetTop")-options.tabsHidden+"px");
+        initialThumbPos=$("#navThumbPrev").position().top;
+      }
+      else if($("#navThumbNext").length>0)
+      {
+        initialThumbPos=$("#navThumbNext").position().top;
+      }
+      else
+      {
+        initialThumbPos=-1;
       }
     }
@@ -311,6 +338,21 @@
     }
 
-
-
+    imgTop=initialThumbPos;
+    //if position equals -1, mean top calculate it automatically - valid for "#navThumbPrev" & "#navThumbNext"
+    if(imgTop==-1)
+    {
+      imgTop=$("#theImage").prop("offsetTop")+$("#theHeader").prop("offsetHeight")+$("#theHeaderAlt").prop("offsetHeight")+($("#theImgContainer").height()-$("#navThumbPrev").height())/2;
+    }
+
+    $("#navThumbPrev")
+        .css("top", imgTop)
+        .css("height", $("#copyright").prop("offsetTop")-$("#navThumbPrev").prop("offsetTop")-options.tabsHidden+"px");
+
+    $("#navThumbNext")
+        .css("top", imgTop)
+        .css("height", $("#copyright").prop("offsetTop")-$("#navThumbNext").prop("offsetTop")-options.tabsHidden+"px");
+
+
+    $("#theImage").css("top", $("#theImage").prop("offsetTop")+$("#theHeader").prop("offsetHeight")+$("#theHeaderAlt").prop("offsetHeight")+"px");
 
     simulateHighRes();
@@ -634,4 +676,38 @@
   };
 
+  function changeImgSrc(url,typeSave,typeMap,cookiePath)
+  {
+    $("#theMainImage")
+      .removeAttr("width height")
+      .attr("src", url)
+      .load(function ()
+        {
+          initializeImageMode("resize");
+        }
+      );
+
+    $('#derivativeSwitchBox .switchCheck').css('visibility','hidden');
+    $('#derivativeChecked'+typeSave).css('visibility','visible');
+
+    document.cookie = 'picture_deriv='+typeSave+';path='+cookiePath;
+  }
+
+  function setPrivacyLevel(rootUrl, id, level)
+  {
+    var y = new PwgWS(rootUrl);
+
+    y.callService(
+      "pwg.images.setPrivacyLevel",
+      {image_id: id, level:level} ,
+      {
+        method: "POST",
+        onFailure: function(num, text) { alert(num + " " + text); },
+        onSuccess: function(result) {
+          jQuery('#privacyLevelBox .switchCheck').css('visibility','hidden');
+          jQuery('#levelCheck'+level).css('visibility','visible');
+        }
+      }
+    );
+  }
 
   this.closeDisplayHigh = function () { closeDisplayHigh(); };
@@ -641,4 +717,6 @@
   this.getTabsProp = function () { return tabs; };
   this.openDisplayHigh = function (url) { openDisplayHigh(url); };
+  this.changeImgSrc = function (url,typeSave,typeMap,cookiePath) { changeImgSrc(url,typeSave,typeMap,cookiePath); };
+  this.setPrivacyLevel = function (rootUrl, id, level) { setPrivacyLevel(rootUrl, id, level); };
 
   init();
Index: /extensions/gally/gally-default/js/gallyjs-ttm.js
===================================================================
--- /extensions/gally/gally-default/js/gallyjs-ttm.js	(revision 16015)
+++ /extensions/gally/gally-default/js/gallyjs-ttm.js	(revision 16016)
@@ -56,9 +56,8 @@
                   targetPos:'top-middle',
                   tipPos:'bottom-middle',
-                  offsetY:14,
-                  arrowHeight:13,
-                  arrowWidth:17,
-                  drawArrow:true,
-                  arrowImgDir:options.themePath
+                  offsetY:options.tipsSize,
+                  arrowHeight:options.tipsSize,
+                  arrowWidth:options.tipsSize,
+                  drawArrow:true
                 }
               );
@@ -71,9 +70,8 @@
                   targetPos:'middle-right',
                   tipPos:'middle-left',
-                  offsetX:12,
-                  arrowHeight:17,
-                  arrowWidth:12,
-                  drawArrow:true,
-                  arrowImgDir:options.themePath
+                  offsetX:options.tipsSize,
+                  arrowHeight:options.tipsSize,
+                  arrowWidth:options.tipsSize,
+                  drawArrow:true
                 }
               );
@@ -86,9 +84,8 @@
                   targetPos:'middle-left',
                   tipPos:'middle-right',
-                  offsetX:12,
-                  arrowHeight:17,
-                  arrowWidth:12,
-                  drawArrow:true,
-                  arrowImgDir:options.themePath
+                  offsetX:options.tipsSize,
+                  arrowHeight:options.tipsSize,
+                  arrowWidth:options.tipsSize,
+                  drawArrow:true
                 }
               );
@@ -101,9 +98,8 @@
                   targetPos:'bottom-middle',
                   tipPos:'top-middle',
-                  offsetY:12,
-                  arrowHeight:12,
-                  arrowWidth:17,
-                  drawArrow:true,
-                  arrowImgDir:options.themePath
+                  offsetY:options.tipsSize,
+                  arrowHeight:options.tipsSize,
+                  arrowWidth:options.tipsSize,
+                  drawArrow:true
                 }
               );
Index: /extensions/gally/gally-default/js/simpleTip.js
===================================================================
--- /extensions/gally/gally-default/js/simpleTip.js	(revision 16015)
+++ /extensions/gally/gally-default/js/simpleTip.js	(revision 16016)
@@ -70,5 +70,4 @@
       offsetY:0,
       classes:'',
-      arrowImgDir: '',
       arrowWidth: 12,
       arrowHeight: 12
@@ -322,5 +321,5 @@
         arrowX=-bwX;
         arrowY=-items[itemIndex].options.arrowHeight+bwY;
-        arrowModel='up';
+        arrowModel='Up';
         break;
 
@@ -330,5 +329,5 @@
         arrowX=(stWidthI-items[itemIndex].options.arrowWidth)/2;
         arrowY=-items[itemIndex].options.arrowHeight+bwY;
-        arrowModel='up';
+        arrowModel='Up';
         break;
 
@@ -338,5 +337,5 @@
         arrowX=stWidthI-items[itemIndex].options.arrowWidth+bwX;
         arrowY=-items[itemIndex].options.arrowHeight+bwY;
-        arrowModel='up';
+        arrowModel='Up';
         break;
 
@@ -346,5 +345,5 @@
         arrowX=-items[itemIndex].options.arrowWidth+bwX;
         arrowY=(stHeightI-items[itemIndex].options.arrowHeight)/2+bwY;
-        arrowModel='left';
+        arrowModel='Left';
         break;
 
@@ -359,5 +358,5 @@
         arrowX=stWidthI+bwX;
         arrowY=(stHeightI-items[itemIndex].options.arrowHeight)/2+bwY;
-        arrowModel='right';
+        arrowModel='Right';
         break;
 
@@ -367,5 +366,5 @@
         arrowX=-bwX;
         arrowY=stHeightI+bwY;
-        arrowModel='down';
+        arrowModel='Down';
         break;
 
@@ -375,5 +374,5 @@
         arrowX=(stWidthI-items[itemIndex].options.arrowWidth)/2+bwX;
         arrowY=stHeightI+bwY;
-        arrowModel='down';
+        arrowModel='Down';
         break;
 
@@ -383,5 +382,5 @@
         arrowX=stWidthI-items[itemIndex].options.arrowWidth+bwX;
         arrowY=stHeightI+bwY;
-        arrowModel='down';
+        arrowModel='Down';
         break;
     }
@@ -389,8 +388,23 @@
     if(items[itemIndex].options.drawArrow & arrowModel!='')
     {
+      switch(arrowModel)
+      {
+        case 'Up':
+          bgp='0px -'+items[itemIndex].options.arrowHeight+'px';
+          break;
+        case 'Left':
+          bgp='-'+items[itemIndex].options.arrowWidth+'px 0px';
+          break;
+        case 'Down':
+          bgp='0px 0px';
+          break;
+        case 'Right':
+          bgp='-'+items[itemIndex].options.arrowHeight+'px -'+items[itemIndex].options.arrowWidth+'px';
+          break;
+      }
       $('#iSimpleTipArrow'+options.name).css(
         {
           display: 'block',
-          background: 'url("'+items[itemIndex].options.arrowImgDir+'/arrow_'+arrowModel+'.png") no-repeat scroll 0 0 transparent',
+          backgroundPosition: bgp,
           marginLeft: arrowX+'px',
           marginTop: arrowY+'px',
@@ -434,5 +448,5 @@
     if($('#iSimpleTip'+options.name).length==0)
     {
-      text="<div id='iSimpleTip"+options.name+"' style='z-index:15000;display:none;position:absolute;left:0px;top:0px;'><div id='iSimpleTipShadow"+options.name+"' style='position:absolute;width:100%;height:100%;background:#000000;opacity:0.4;filter:alpha(opacity:40);display:block;z-index:-1;margin-left:2px;margin-top:2px;'></div><div id='iSimpleTipArrow"+options.name+"' style='position:absolute;'></div><div id='iSimpleTipContent"+options.name+"'></div></div>";
+      text="<div class='cSimpleTip' id='iSimpleTip"+options.name+"' style='z-index:15000;display:none;position:absolute;left:0px;top:0px;'><div class='cSimpleTipShadow' id='iSimpleTipShadow"+options.name+"'></div><div class='cSimpleTipArrow' id='iSimpleTipArrow"+options.name+"'></div><div class='cSimpleTipContent' id='iSimpleTipContent"+options.name+"'></div></div>";
       $('body').append(text);
     }
Index: /extensions/gally/gally-default/language/en_UK/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/en_UK/theme.lang.php	(revision 16015)
+++ /extensions/gally/gally-default/language/en_UK/theme.lang.php	(revision 16016)
@@ -6,24 +6,17 @@
 $lang['gally_save_local_conf'] = 'Saving settings';
 
-$lang['gally_img_high_res'] = 'Picture/High resolution';
 $lang['gally_img_interface'] = 'Picture/Interface';
 $lang['gally_img_other'] = 'Picture/Other';
 
-$lang['gally_img_high_res_desc'] = 'This page lets you define the properties of the user interface when viewing an image in high resolution';
 $lang['gally_img_interface_desc'] = 'This page lets you define the properties of the user interface when viewing an image';
 $lang['gally_img_other_desc'] = 'This page lets you define various properties of the user interface when viewing an image';
 
 $lang['gally_default_zoom_size'] = 'Default zoom size';
-$lang['gally_default_zoom_size_desc'] = 'This option sets the display type used by default when a high definition image is loaded';
 $lang['gally_defaultZoomSize_full'] = 'Actual size (if image doesn\'t fit on the screen, it\'s possible to scroll horizontally and vertically)';
 $lang['gally_defaultZoomSize_fit'] = 'The image is resized to be fully displayed on the screen';
 $lang['gally_display_high_res_icon'] = 'Icon in the toolbar';
-$lang['gally_display_high_res_icon_desc'] = 'This option, if the image has a version in high resolution, display an icon in the toolbar';
 $lang['gally_displayHighResIcon_yes'] = 'Show icon';
 $lang['gally_displayHighResIcon_no'] = 'Do not display the icon';
-$lang['gally_display_high_res_click_mode'] = 'Action associated with the high resolution image';
-$lang['gally_display_high_res_click_mode_desc'] = 'This option defines how the interface behaves when you click on the image in high resolution';
 $lang['gally_highResClickMode_zoom'] = 'Changing the type of zoom (Actual Size / resized)';
-$lang['gally_highResClickMode_close'] = 'Quit displaying the image in high resolution';
 
 $lang['gally_interface_on_image'] = 'Display hover';
@@ -68,4 +61,16 @@
 $lang['gally_alternate_banner_content'] = 'Alternative banner content:';
 
+// v1.5.0
+$lang['gally_img_high_res'] = 'Picture/Lightbox view';
+$lang['gally_img_high_res_desc'] = 'This page lets you define the properties of the user interface when viewing an image in a lightbox';
 
+$lang['gally_default_zoom_size_desc'] = 'This option sets the display type used by default in a lightbox when an image bigger than the screen size is loaded';
+
+$lang['gally_display_high_res_click_mode'] = 'Action associated with the lightbox';
+$lang['gally_display_high_res_click_mode_desc'] = 'This option defines how the interface behaves when you click on the image in the lightbox';
+$lang['gally_highResClickMode_close'] = 'Close the lightbox';
+
+/* --removed
+$lang['gally_display_high_res_icon_desc'] = '';
+*/
 ?>
Index: /extensions/gally/gally-default/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/fr_FR/theme.lang.php	(revision 16015)
+++ /extensions/gally/gally-default/language/fr_FR/theme.lang.php	(revision 16016)
@@ -6,29 +6,17 @@
 $lang['gally_save_local_conf'] = 'Enregistrement de la configuration';
 
-$lang['gally_img_high_res'] = 'Image/Haute résolution';
 $lang['gally_img_interface'] = 'Image/Interface';
 $lang['gally_img_other'] = 'Image/Autres';
 
-$lang['gally_img_high_res_desc'] = 'Cette page permet de définir les propriétés de l\'interface utilisateur lors de la visualisation d\'une image en haute résolution';
 $lang['gally_img_interface_desc'] = 'Cette page permet de définir les propriétés de l\'interface utilisateur lors de la visualisation d\'une image';
 $lang['gally_img_other_desc'] = 'Cette page permet de définir diverses propriétés de l\'interface utilisateur lors de la visualisation d\'une image';
 
 $lang['gally_default_zoom_size'] = 'Taille du zoom par défaut';
-$lang['gally_default_zoom_size_desc'] = 'Cette option permet de définir le type d\'affichage utilisé par défaut lorsqu\'une image en haute définition est chargée';
 $lang['gally_defaultZoomSize_full'] = 'Taille réelle (si l\'image ne tiens pas sur l\'écran, il est possible de la faire défiler en largeur et en hauteur)';
 $lang['gally_defaultZoomSize_fit'] = 'L\'image est redimensionnée pour être affichée entièrement sur l\'écran';
 $lang['gally_display_high_res_icon'] = 'Icône dans la barre d\'outil';
-$lang['gally_display_high_res_icon_desc'] = 'Cette option permet, si l\'image dispose d\'une version en haute résolution, d\'afficher une icône dans la barre d\'outil';
 $lang['gally_displayHighResIcon_yes'] = 'Afficher l\'icône';
 $lang['gally_displayHighResIcon_no'] = 'Ne pas afficher l\'icône';
-$lang['gally_display_high_res_click_mode'] = 'Action associée à l\'image en haute résolution';
-$lang['gally_display_high_res_click_mode_desc'] = 'Cette option permet de définir comment se comporte l\'interface lorsque que l\'on clique sur l\'image en haute résolution';
 $lang['gally_highResClickMode_zoom'] = 'Changer le type de zoom (Taille réelle / redimensionné)';
-$lang['gally_highResClickMode_close'] = 'Quitter l\'affichage de l\'image en haute résolution';
-
-$lang['gally_image_interface_can_switch']='Visibilité permanente de l\'interface';
-$lang['gally_image_interface_can_switch_desc']='Cette option permet de déterminer si l\'interface est affichée en permanence ou si elle peut être masquée';
-$lang['gally_image_interface_can_switch_yes']='L\'interface n\'est visible que selon les règles définies';
-$lang['gally_image_interface_can_switch_no']='L\'interface est visible en permanence';
 
 $lang['gally_interface_on_image'] = 'Affichage au survol';
@@ -54,6 +42,5 @@
 $lang['gally_display_banner_yes'] = 'Afficher la bannière';
 $lang['gally_display_banner_no'] = 'Ne pas afficher la bannière';
-$lang['gally_display_banner_alternate'] = 'Afficher une bannière alternative';
-$lang['gally_alternate_banner_content'] = 'Contenu de la bannière alternative :';
+
 
 $lang['gally_image_auto_scroll'] = 'Gestion des images panoramiques';
@@ -66,3 +53,26 @@
 $lang['gally_image_simulate_high_res'] = 'Simuler la présence d\'une image haute résolution pour les images panomariques';
 
+// v1.3.5
+$lang['gally_image_interface_can_switch']='Visibilité permanente de l\'interface';
+$lang['gally_image_interface_can_switch_desc']='Cette option permet de déterminer si l\'interface est affichée en permanence ou si elle peut être masquée';
+$lang['gally_image_interface_can_switch_yes']='L\'interface n\'est visible que selon les règles définies';
+$lang['gally_image_interface_can_switch_no']='L\'interface est visible en permanence';
+$lang['gally_display_banner_alternate'] = 'Afficher une bannière alternative';
+$lang['gally_alternate_banner_content'] = 'Contenu de la bannière alternative :';
+
+// v1.5.0
+$lang['gally_img_high_res'] = 'Image/Affichage lightbox';
+$lang['gally_img_high_res_desc'] = 'Cette page permet de définir les propriétés de l\'interface utilisateur lors de la visualisation d\'une image dans une lightbox';
+
+$lang['gally_default_zoom_size_desc'] = 'Cette option permet de définir le type d\'affichage utilisé par défaut dans la lightbox lorsqu\'une image plus grande que l\'écran est affichée';
+
+$lang['gally_display_high_res_click_mode'] = 'Action associée à la lightbox';
+$lang['gally_display_high_res_click_mode_desc'] = 'Cette option permet de définir comment se comporte l\'interface lorsque que l\'on clique sur l\'image dans la lightbox';
+$lang['gally_highResClickMode_close'] = 'Fermer la lightbox';
+
+/* --removed
+$lang['gally_display_high_res_icon_desc'] = '';
+*/
+
+
 ?>
Index: /extensions/gally/gally-default/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-default/themeconf.inc.php	(revision 16015)
+++ /extensions/gally/gally-default/themeconf.inc.php	(revision 16016)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally
-Version: 1.4.5
+Version: 1.5.0
 Description: Parent theme for all the Gally themes
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=382
@@ -13,5 +13,140 @@
   'icon_dir' => 'themes/gally-default/icon',
   'mime_icon_dir' => 'themes/gally-default/icon/mimetypes/',
-  'activable' => false,
+  'activable' => false
 );
+
+
+if(!defined('IN_ADMIN')) add_event_handler('init', 'initTemplateVar');
+
+/**
+ * GallyTpl class is used to initialise some templates variable and provide some
+ * usefull function in template
+ */
+class GallyTpl
+{
+  private $comment=array(
+            'id' => null
+          );
+
+  public function __construct()
+  {
+    global $template, $themeconf;
+
+    $this->loadConfDirectories();
+    $this->loadThemeJS();
+
+    $template->assign('gally', $this);
+  }
+
+  public function getToken()
+  {
+    return(get_pwg_token());
+  }
+
+  public function getCommentKey($id)
+  {
+    if($this->loadComment($id))
+    {
+      return(get_ephemeral_key(2, $this->comment['image_id']));
+    }
+    return('');
+  }
+
+  public function getCommentImage($id)
+  {
+    if($this->loadComment($id))
+    {
+      return($this->comment['image_id']);
+    }
+    return('');
+  }
+
+  public function getAlternateBannerContent()
+  {
+    global $template;
+
+    return(html_entity_decode($template->smarty->get_config_vars('alternateBannerContent')));
+  }
+
+  public function getRandomBox($value)
+  {
+    global $template;
+
+    if(is_numeric($value)) return(rand(-$value, $value));
+
+    $v=$template->smarty->get_config_vars($value);
+    return(rand(-$v, $v));
+  }
+
+  /**
+   *
+   */
+  private function loadThemeJS()
+  {
+    global $template;
+
+    $currentTheme=$template->get_template_vars('themeconf');
+    $file="themes/".$currentTheme['id']."/js/theme.js";
+
+    if(file_exists(dirname($_SERVER['SCRIPT_FILENAME']).'/'.$file))
+    {
+      $template->scriptLoader->add($currentTheme['id'].'.theme.js', 'header', array('jquery'), $file, 0);
+    }
+  }
+
+  /**
+   * load conf directories in smarty variables
+   *  {$default_conf}
+   *  {$local_conf}
+   */
+  private function loadConfDirectories()
+  {
+    global $template;
+
+    $themes=$template->get_template_vars('themes');
+    foreach($themes as $theme)
+    {
+      $dir=dirname($_SERVER['SCRIPT_FILENAME'])."/themes/".$theme['id']."/conf/";
+      $dirlocal=dirname($_SERVER['SCRIPT_FILENAME'])."/".PWG_LOCAL_DIR."themes/".$theme['id']."/conf/";
+
+      if(file_exists($dir."local.conf")) $template->smarty->config_load($dir."default.conf");
+      if(file_exists($dirlocal."local.conf")) $template->smarty->config_load($dirlocal."local.conf");
+    }
+  }
+
+  /**
+   * load comment properties
+   *  result is stored in $this->comment
+   *
+   * @param Integer $id: comment id
+   */
+  private function loadComment($id)
+  {
+    if($id==null or $id=='') return(false);
+    if($id==$this->comment['id']) return(true);
+
+    $sql="SELECT image_id FROM ".COMMENTS_TABLE." WHERE id=$id";
+    $result=pwg_query($sql);
+    if($result)
+    {
+      while($row=pwg_db_fetch_assoc($result))
+      {
+        $this->comment=array(
+          'id' => $id,
+          'image_id' => $row['image_id']
+        );
+        return(true);
+      }
+    }
+    return(false);
+  }
+}
+
+
+
+function initTemplateVar()
+{
+  $gallyVar=new GallyTpl();
+}
+
 ?>
